Bug 839101 - History limiting isn't working correctly
History limiting isn't working correctly
Status: CLOSED NEXTRELEASE
Product: PulpDist
Classification: Community
Component: Management CLI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: 0.1.0
: ---
Assigned To: Nick Coghlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 19:53 EDT by Nick Coghlan
Modified: 2012-09-07 03:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 03:08:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-07-10 19:53:46 EDT
The current test suite only tests the case of "python -m pulpdist.manage_repos history --num_entries 0".

Any value higher than zero is returning *all* entries instead of just the requested number.
Comment 1 Nick Coghlan 2012-07-12 01:10:46 EDT
Fixed for PulpDist 0.0.18
Comment 2 Nick Coghlan 2012-07-25 01:12:30 EDT
Expected behaviour: on a local mirror with more than 1 sync event in its history, the command "python -m pulpdist.manage_repos history -n 1 --mirror <mirror_id>" should display only the most recent entry, "-n 2" only two entries, etc, until all entries are displayed.
Comment 3 Nick Coghlan 2012-09-07 03:08:24 EDT
Fixed in 0.1.0

Note You need to log in before you can comment on or make changes to this bug.